Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

After upgrading my system to ubuntu 14.04 i am not able to open graphs generated by graphviz using xdot. Prior to that i was using ubuntu 12.04 and there was no problem of such sort observed. below is the sample error trace:

File "/usr/bin/xdot", line 4, in xdot.main() File "/usr/lib/python2.7/dist-packages/xdot.py", line 1947, in main win.open_file(args[0])
File "/usr/lib/python2.7/dist-packages/xdot.py", line 1881, in open_file self.set_dotcode(fp.read(), filename)
File "/usr/lib/python2.7/dist-packages/xdot.py", line 1863, in set_dotcode if self.widget.set_dotcode(dotcode, filename):
File "/usr/lib/python2.7/dist-packages/xdot.py", line 1477, in set_dotcode self.set_xdotcode(xdotcode)
File "/usr/lib/python2.7/dist-packages/xdot.py", line 1497, in set_xdotcode self.graph = parser.parse()
File "/usr/lib/python2.7/dist-packages/xdot.py", line 1167, in parse DotParser.parse(self)
File "/usr/lib/python2.7/dist-packages/xdot.py", line 977, in parse self.parse_graph()
File "/usr/lib/python2.7/dist-packages/xdot.py", line 986, in parse_graph self.parse_stmt()
File "/usr/lib/python2.7/dist-packages/xdot.py", line 1032, in parse_stmt self.handle_node(id, attrs)
File "/usr/lib/python2.7/dist-packages/xdot.py", line 1142, in handle_node shapes.extend(parser.parse()) File "/usr/lib/python2.7/dist-packages/xdot.py", line 612, in parse w = s.read_number()
File "/usr/lib/python2.7/dist-packages/xdot.py", line 494, in read_number return int(self.read_code())
ValueError: invalid literal for int() with base 10: '206.05'

Can somebody help me to resolve this issue?

share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.